%define upstream_name    Test-Simple
%define upstream_version 1.302210

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Basic utilities for writing tests
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

Obsoletes:  perl-Test-Tester <= 0.109.0-8.mga6

BuildRequires: perl(B)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Scalar::Util) >= 1.130.0
BuildRequires: perl(Storable)
BuildRequires: perl(Term::Table) >= 0.13.0
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(overload)
BuildRequires: perl(utf8)
BuildArch:  noarch

%{?perl_default_filter}

%description
This is an extremely simple, extremely basic module for writing tests suitable
for CPAN modules and other pursuits. If you wish to do more complicated
testing, use the Test::More module (a drop-in replacement for this one).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
make

%check
make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{perl_vendorlib}/Test
%{perl_vendorlib}/Test2
%{perl_vendorlib}/Test2.pm
%{perl_vendorlib}/ok.pm
%{_mandir}/*/*

%changelog
* Sun Mar 30 2025 tv <tv> 1.302.210-1.mga10
+ Revision: 2171680
- update to 1.302210

* Fri Jan 24 2025 tv <tv> 1.302.209-1.mga10
+ Revision: 2141834
- update to 1.302209

* Mon Sep 16 2024 tv <tv> 1.302.204-1.mga10
+ Revision: 2097193
- update to 1.302204

* Sat Sep 07 2024 tv <tv> 1.302.203-1.mga10
+ Revision: 2093526
- update to 1.302203

* Sat Aug 24 2024 tv <tv> 1.302.201-1.mga10
+ Revision: 2090836
- update to 1.302201

* Sun Apr 28 2024 tv <tv> 1.302.199-1.mga10
+ Revision: 2061529
- update to 1.302199

* Mon Dec 04 2023 tv <tv> 1.302.198-1.mga10
+ Revision: 2013035
- update to 1.302198

* Wed Aug 30 2023 tv <tv> 1.302.195-1.mga10
+ Revision: 1982002
- update to 1.302195

* Fri Feb 03 2023 tv <tv> 1.302.192-1.mga9
+ Revision: 1937921
- update to 1.302192

* Mon Jul 11 2022 tv <tv> 1.302.191-1.mga9
+ Revision: 1868440
- update to 1.302191

* Mon Mar 21 2022 umeabot <umeabot> 1.302.190-2.mga9
+ Revision: 1816572
- Mageia 9 Mass Rebuild

* Tue Mar 08 2022 tv <tv> 1.302.190-1.mga9
+ Revision: 1789727
- update to 1.302190

* Fri Mar 04 2022 tv <tv> 1.302.189-1.mga9
+ Revision: 1788436
- update to 1.302189

* Mon Oct 04 2021 tv <tv> 1.302.188-1.mga9
+ Revision: 1749311
- update to 1.302188

* Mon Sep 20 2021 tv <tv> 1.302.187-1.mga9
+ Revision: 1746078
- update to 1.302187

* Thu Aug 05 2021 tv <tv> 1.302.186-1.mga9
+ Revision: 1739517
- update to 1.302186

* Thu May 20 2021 tv <tv> 1.302.185-1.mga9
+ Revision: 1725868
- update to 1.302185

* Fri Oct 23 2020 tv <tv> 1.302.183-1.mga8
+ Revision: 1638742
- update to 1.302183

* Tue Sep 15 2020 tv <tv> 1.302.181-1.mga8
+ Revision: 1626657
- update to 1.302181

* Mon Aug 10 2020 tv <tv> 1.302.177-1.mga8
+ Revision: 1612578
- update to 1.302177

* Tue Apr 14 2020 tv <tv> 1.302.175-1.mga8
+ Revision: 1567223
- update to 1.302175

* Tue Mar 31 2020 tv <tv> 1.302.174-1.mga8
+ Revision: 1562549
- update to 1.302174

* Sat Mar 28 2020 tv <tv> 1.302.173-1.mga8
+ Revision: 1561371
- update to 1.302173

* Tue Mar 10 2020 tv <tv> 1.302.172-1.mga8
+ Revision: 1555211
- update to 1.302172

* Wed Feb 19 2020 umeabot <umeabot> 1.302.171-2.mga8
+ Revision: 1543186
- Mageia 8 Mass Rebuild

* Sat Jan 18 2020 tv <tv> 1.302.171-1.mga8
+ Revision: 1481392
- update to 1.302171

* Tue Dec 03 2019 tv <tv> 1.302.170-1.mga8
+ Revision: 1464123
- update to 1.302170

* Fri Nov 22 2019 tv <tv> 1.302.169-1.mga8
+ Revision: 1462195
- update to 1.302169

* Sat Sep 07 2019 tv <tv> 1.302.168-1.mga8
+ Revision: 1438261
- update to 1.302168

* Sun Aug 25 2019 tv <tv> 1.302.167-1.mga8
+ Revision: 1432106
- update to 1.302167

* Sat Jun 29 2019 shlomif <shlomif> 1.302.164-1.mga8
+ Revision: 1415759
- update to 1.302164

* Wed Feb 06 2019 tv <tv> 1.302.162-1.mga7
+ Revision: 1363558
- update to 1.302162

* Mon Jan 21 2019 tv <tv> 1.302.160-1.mga7
+ Revision: 1358842
- update to 1.302160

* Wed Jan 09 2019 tv <tv> 1.302.156-1.mga7
+ Revision: 1353016
- update to 1.302156

* Wed Dec 05 2018 tv <tv> 1.302.141-1.mga7
+ Revision: 1338429
- update to 1.302141

* Thu Sep 20 2018 umeabot <umeabot> 1.302.140-2.mga7
+ Revision: 1286811
- Mageia 7 Mass Rebuild

* Sat Aug 25 2018 shlomif <shlomif> 1.302.140-1.mga7
+ Revision: 1254045
- update to 1.302140

* Sat Jul 14 2018 tv <tv> 1.302.138-1.mga7
+ Revision: 1243553
- update to 1.302138

* Sat Apr 21 2018 tv <tv> 1.302.136-1.mga7
+ Revision: 1220775
- update to 1.302136

* Sat Mar 31 2018 tv <tv> 1.302.135-1.mga7
+ Revision: 1213778
- update to 1.302135

* Wed Mar 14 2018 tv <tv> 1.302.133-1.mga7
+ Revision: 1209284
- update to 1.302133

* Wed Mar 07 2018 shlomif <shlomif> 1.302.130-1.mga7
+ Revision: 1207287
- update to 1.302130

* Sat Mar 03 2018 tv <tv> 1.302.125-1.mga7
+ Revision: 1206281
- update to 1.302125

* Tue Feb 06 2018 tv <tv> 1.302.122-1.mga7
+ Revision: 1199206
- update to 1.302122

* Thu Nov 30 2017 tv <tv> 1.302.120-1.mga7
+ Revision: 1180490
- update to 1.302120

* Tue Nov 21 2017 kharec <kharec> 1.302.113-1.mga7
+ Revision: 1178014
- update to 1.302113

* Sun Nov 19 2017 tv <tv> 1.302.111-1.mga7
+ Revision: 1177716
- update to 1.302111

* Tue Oct 24 2017 shlomif <shlomif> 1.302.106-1.mga7
+ Revision: 1173374
- update to 1.302106

* Wed Oct 04 2017 tv <tv> 1.302.98-1.mga7
+ Revision: 1168433
- update to 1.302098

* Tue Oct 03 2017 tv <tv> 1.302.96-2.mga7
+ Revision: 1166923
- rebuild with fixed rpm for missing autodeps

* Tue Sep 19 2017 tv <tv> 1.302.96-1.mga7
+ Revision: 1155872
- update to 1.302096

* Wed Aug 02 2017 shlomif <shlomif> 1.302.86-5.mga7
+ Revision: 1134029
- New version

* Sun Jan 15 2017 shlomif <shlomif> 1.302.75-5.mga6
+ Revision: 1081840
- New upstream version 1.302075 .

* Thu Jun 23 2016 tv <tv> 1.1.14-5.mga6
+ Revision: 1037262
- bump obsoleted version
+ pterjan <pterjan>
- Obsolete perl-Test-Tester

* Sun May 08 2016 shlomif <shlomif> 1.1.14-3.mga6
+ Revision: 1010906
- Rebuild for new perl

* Thu Feb 18 2016 umeabot <umeabot> 1.1.14-2.mga6
+ Revision: 967060
- Mageia 6 Mass Rebuild

* Mon Jun 29 2015 sander85 <sander85> 1.1.14-1.mga6
+ Revision: 848049
- update to 1.001014

* Sun Oct 19 2014 umeabot <umeabot> 1.1.6-5.mga5
+ Revision: 790330
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.1.6-4.mga5
+ Revision: 740308
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 1.1.6-3.mga5
+ Revision: 736019
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.1.6-2.mga5
+ Revision: 686546
- Mageia 5 Mass Rebuild

* Wed Sep 03 2014 sander85 <sander85> 1.1.6-1.mga5
+ Revision: 671401
- update to 1.001006

* Fri Jun 06 2014 jquelin <jquelin> 1.1.3-2.mga5
+ Revision: 634036
- perl 5.20 rebuild

* Tue Mar 25 2014 jquelin <jquelin> 1.1.3-1.mga5
+ Revision: 608280
- update to 1.001003

* Mon Feb 10 2014 jquelin <jquelin> 1.1.2-1.mga5
+ Revision: 588032
- update to 1.001002

* Tue Oct 22 2013 umeabot <umeabot> 0.990.0-2.mga4
+ Revision: 542251
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 sander85 <sander85> 0.990.0-1.mga4
+ Revision: 497122
- update to 0.99

* Sun Jan 13 2013 umeabot <umeabot> 0.980.0-2.mga3
+ Revision: 373782
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Feb 26 2011 jquelin <jquelin> 0.980.0-1.mga1
+ Revision: 60585
- update to 0.98

* Fri Feb 18 2011 jquelin <jquelin> 0.960.0-3.mga1
+ Revision: 53759
- rebuild

* Thu Jan 20 2011 jquelin <jquelin> 0.960.0-2.mga1
+ Revision: 27126
- mageia rebuild
- imported package perl-Test-Simple

